﻿using System;
using System.IO;
using System.Net;
using System.Net.Sockets;

namespace HostingUploadingTarget
{
    public class HutProgram
    {
        static void Main(string[] args)
        {
            var port = int.Parse(args[0]);
            var listener = new TcpListener(IPAddress.Any, port);
            listener.Start();

            var client = listener.AcceptTcpClient();
            Console.WriteLine($"{DateTime.Now:yyyy-MM-dd HH:mm:ss.ff} Accept from {client.Client.RemoteEndPoint}");

            var ns = client.GetStream();
            var reader = new BinaryReader(ns);
            var writer = new BinaryWriter(ns);


            var bsk = reader.ReadInt32();
            writer.Write(0);
            writer.Flush();

            var start = DateTime.Now;
            Console.WriteLine($"{start:yyyy-MM-dd HH:mm:ss.ff} Bsk {bsk}, Receiving...");
            reader.ReadBytes(bsk * 1024);
            var end = DateTime.Now;
            var seconds = (end - start).TotalSeconds;
            Console.WriteLine($"{end:yyyy-MM-dd HH:mm:ss.ff} Bsk {bsk}, Receive complete in {seconds:N0} AVG SPD {bsk / seconds} KBS.");


            writer.Write(0);
            writer.Close();
            client.Close();
        }
    }
}
